summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBruce Richardson <bruce.richardson@intel.com>2019-04-10 21:52:23 +0100
committerThomas Monjalon <thomas@monjalon.net>2019-04-17 17:16:01 +0200
commit2660c6f653c11fa37f3385b9f5777f1eff6489c8 (patch)
tree6934c4a3a381f632e11ff1add74869a826ecc1d4
parente887ebb663aa9f1e3ea5d1eb6c3bc4faeb377e66 (diff)
downloaddpdk-2660c6f653c11fa37f3385b9f5777f1eff6489c8.zip
dpdk-2660c6f653c11fa37f3385b9f5777f1eff6489c8.tar.gz
dpdk-2660c6f653c11fa37f3385b9f5777f1eff6489c8.tar.xz
devtools: support older compilers with meson test
Older versions of GCC, such as on Redhat/CentOS 7, don't support -march=nehalem, but need -march=corei7 instead. Cc: stable@dpdk.org Signed-off-by: Bruce Richardson <bruce.richardson@intel.com> Acked-by: Luca Boccassi <bluca@debian.org>
-rwxr-xr-xdevtools/test-meson-builds.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index 9a67cfa..c7bde2f 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -62,7 +62,12 @@ for c in gcc clang ; do
done
# test compilation with minimal x86 instruction set
-build build-x86-default -Dmachine=nehalem $use_shared
+default_machine='nehalem'
+ok=$(cc -march=$default_machine -E - < /dev/null > /dev/null 2>&1 || echo false)
+if [ "$ok" = "false" ] ; then
+ default_machine='corei7'
+fi
+build build-x86-default -Dmachine=$default_machine $use_shared
# enable cross compilation if gcc cross-compiler is found
c=aarch64-linux-gnu-gcc